#uploadTable {
  width: 100%;
}

#compatibility-warning {
  text-align: center;
}

#uploadButton {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 2rem;

  filter: opacity(1);
  transform: filter 500ms ease;

  div {
    button {
      width: 100%;
    }
  }

  &.disabled {
    pointer-events: none;
    filter: opacity(0.5);
  }
}

#fileFormats {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 2rem 0;

  .file-format-line {
    display: flex;
    flex-direction: column;
    align-items: center;

    transition: filter 500ms ease;

    mat-icon {
      padding-right: 0.25rem;
    }

    > div {
      display: flex;
      align-items: center;
      padding-bottom: 0.2rem;
    }

    b,
    i {
      cursor: help;
    }

    &.disabled {
      pointer-events: none;
      filter: opacity(0.2);
    }
  }
}

#mediaTypePreview {
  display: flex;
  align-items: center;
  justify-content: center;
  mat-icon {
    margin-left: 3rem;
    transform: scale(1.5);
  }
}

table {
  tr {
    height: 2rem;
  }
}

.warning {
  display: flex;
  align-items: center;
  margin: 10px 0;
  background-color: #fff3cd;
  padding: 1rem;
  border-radius: 4px;
  border: 1px solid #ffeeba;
}
.warning mat-icon {
  margin-right: 10px;
}
